
Core - Bug # 40113

Task # 40095 (Resolved): Move core to namespaces

Status: Closed Priority: Must have
Author: Steffen Müller Category:
Created: 2012-08-24 Assigned To:
Updated: 2012-09-26 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Superfluous brackets in functions after namespaces move
Description

The following syntax appears in various parts of the core:

$logger->warning(((((('Instantiation of LogWriter "' .
$logWriterClassName) . '" failed for logger ') . $logger->getName()) . '
(') . $e->getMessage()) . ')');

see: 
http://forge.typo3.org/projects/typo3v4-core/repository/revisions/master/entry/typo3/sysext/core/Classes/Log/LogManager.php#L146

Related issues:
related to Core - Task # 40774: Superfluous brackets in functions after names... Resolved 2012-09-09
related to Core - Task # 40777: Superfluous brackets in functions after names... Resolved 2012-09-09
related to Core - Task # 40779: Superfluous brackets in the version-sysext af... Resolved 2012-09-09
related to Core - Task # 40878: Superfluous brackets in sysext backend after ... Resolved 2012-09-12
related to Core - Task # 40880: Superfluous brackets in sysext "core" after n... Resolved 2012-09-13
related to Core - Task # 40962: Superfluous brackets in sysexts "aboutmodules... Resolved 2012-09-16

History
#1 - 2012-08-24 13:10 - Christian Kuhn
- Parent task set to #40095

#2 - 2012-08-24 13:11 - Christian Kuhn

Confirmed. The new parenthesis are semantically identical with the old code, so it shouldn't break. We want to create a cleanup in this area later on.

#3 - 2012-08-25 12:23 - Steffen Gebert
- Status changed from New to Accepted

#4 - 2012-09-09 20:01 - Arvid Jakobsson

Hey people, I'm working on this one. I've got lex-pass setup to automatically fix this issue. I'm gonna start by fixing each of the sysexts, and will then
move on to the core.

#5 - 2012-09-26 19:12 - Wouter Wolters
http://forge.typo3.org/projects/typo3v4-core/repository/revisions/master/entry/typo3/sysext/core/Classes/Log/LogManager.php#L146


This is completed. Please close:)

#6 - 2012-09-26 19:13 - Thomas Maroschik
- Status changed from Accepted to Closed
- % Done changed from 0 to 100
